Bug 865376 - [abrt]: WARNING: at drivers/net/wireless/iwlegacy/4965-mac.c:1102 il4965_set_rxon_chain+0x8f/0x210 [iwl4965](): TAINTED G C
[abrt]: WARNING: at drivers/net/wireless/iwlegacy/4965-mac.c:1102 il4965_set_...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-10-11 05:58 EDT by Yasir M Elsharif
Modified: 2013-06-26 08:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-26 08:54:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yasir M Elsharif 2012-10-11 05:58:33 EDT
Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.5.4-2.fc17.i686 root=/dev/sda4
kernel:         3.5.4-2.fc17.i686

:Proprietary module has not been loaded.
:Modules from drivers/staging are loaded.

:WARNING: at drivers/net/wireless/iwlegacy/4965-mac.c:1102 il4965_set_rxon_chain+0x8f/0x210 [iwl4965]()
:Hardware name: Compaq 6910p
:invalid SMPS mode 0
:Modules linked in: vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) rfcomm bnep nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables fuse btusb bluetooth coretemp arc4 iwl4965 iwlegacy snd_hda_codec_analog ppdev mac80211 e1000e irda snd_hda_intel snd_hda_codec parport_pc parport hp_wmi hp_accel sparse_keymap mei lis3lv02d lpc_ich kvm_intel kvm crc_ccitt cfg80211 snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd serio_raw input_polldev rfkill soundcore pata_pcmcia microcode binfmt_misc uinput firewire_ohci firewire_core sdhci_pci sdhci crc_itu_t mmc_core yenta_socket ata_generic pata_acpi wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
:Pid: 941, comm: wpa_supplicant Tainted: G         C O 3.5.4-2.fc17.i686 #1
:Call Trace:
: [<c0438ff2>] warn_slowpath_common+0x72/0xa0
: [<f851debf>] ? il4965_set_rxon_chain+0x8f/0x210 [iwl4965]
: [<f851debf>] ? il4965_set_rxon_chain+0x8f/0x210 [iwl4965]
: [<c04390c3>] warn_slowpath_fmt+0x33/0x40
: [<f851debf>] il4965_set_rxon_chain+0x8f/0x210 [iwl4965]
: [<c0941f70>] ? __mutex_lock_slowpath+0xc0/0x110
: [<f8569b5a>] il_mac_bss_info_changed+0x76a/0xab0 [iwlegacy]
: [<f856b255>] ? il_mac_config+0x265/0x6b0 [iwlegacy]
: [<f878bd1d>] ? ieee80211_mod_tpt_led_trig+0xad/0x130 [mac80211]
: [<f85693f0>] ? il_scan_cancel_timeout+0x370/0x370 [iwlegacy]
: [<f8754597>] ieee80211_bss_info_change_notify+0x117/0x270 [mac80211]
: [<f8754384>] ? ieee80211_hw_config+0x104/0x200 [mac80211]
: [<f875f9fd>] ieee80211_ibss_join+0x1ad/0x220 [mac80211]
: [<f876639d>] ieee80211_join_ibss+0x4d/0x80 [mac80211]
: [<f84ee3ca>] __cfg80211_join_ibss+0xaa/0x110 [cfg80211]
: [<f84ee479>] cfg80211_join_ibss+0x49/0x70 [cfg80211]
: [<f84e8d24>] nl80211_join_ibss+0x224/0x2c0 [cfg80211]
: [<f84e0270>] ? nl80211_set_tx_bitrate_mask+0x3e0/0x3e0 [cfg80211]
: [<c0877f35>] genl_rcv_msg+0x225/0x280
: [<c0877d10>] ? genl_rcv+0x30/0x30
: [<c08778d6>] netlink_rcv_skb+0x86/0xa0
: [<c0877cfc>] genl_rcv+0x1c/0x30
: [<c08772a4>] netlink_unicast+0x164/0x1e0
: [<c0877539>] netlink_sendmsg+0x219/0x370
: [<c08411b0>] sock_sendmsg+0xc0/0xf0
: [<c0669061>] ? _copy_from_user+0x41/0x60
: [<c0669061>] ? _copy_from_user+0x41/0x60
: [<c084ba1f>] ? verify_iovec+0x3f/0xb0
: [<c08414c9>] __sys_sendmsg+0x299/0x2b0
: [<c0840fa0>] ? sock_sendmsg_nosec+0xf0/0xf0
: [<c083fd65>] ? sockfd_lookup_light+0x25/0x70
: [<c0841e8d>] ? sys_sendto+0xfd/0x140
: [<c053cdf7>] ? do_sync_write+0xb7/0xf0
: [<c0513327>] ? handle_mm_fault+0x167/0x1f0
: [<c08422ab>] sys_sendmsg+0x3b/0x60
: [<c0842943>] sys_socketcall+0x273/0x2d0
: [<c094af5f>] sysenter_do_call+0x12/0x28
Comment 1 Stanislaw Gruszka 2012-10-11 10:37:23 EDT
Does it always happen when you try to join IBSS network?
Comment 2 Yasir M Elsharif 2012-10-14 01:35:58 EDT
(In reply to comment #1)
> Does it always happen when you try to join IBSS network?

I actually don't know, but I can look somewhere in the log files if you want.
Comment 3 Stanislaw Gruszka 2013-06-08 14:07:23 EDT
Does this problem is still reproducible on 3.9 kernel ?

Note You need to log in before you can comment on or make changes to this bug.